- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Review
- AuthorInfo
- Try it!
Fetch user reviews for an item.
HTTP request
GET https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*}:fetchReviews
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The item resource name whose reviews are being fetched. Format: publishers/{publisher_id}/items/{itemId} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of reviews to return. The service may return fewer than this value. If unspecified, at most 50 reviews will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. A filter to apply to the reviews. Only equality comparison on rating is supported, e.g. |
orderBy |
Optional. An optional comma-separated list of fields by which to sort the results. The default sort order is ascending ( |
Request body
The request body must be empty.
Response body
Response message for items.fetchReviews.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"reviews": [
{
object ( |
| Fields | |
|---|---|
reviews[] |
The list of reviews. |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chromewebstorehttps://www.googleapis.com/auth/chromewebstore.readonly
Review
A review written by a user to rate an item in the Chrome Web Store.
| JSON representation |
|---|
{
"name": string,
"item": string,
"authorInfo": {
object ( |
| Fields | |
|---|---|
name |
Identifier. Review resource name. Format: reviews/{reviewId} |
item |
Output only. The item that this review evaluates. Format: publishers/{publisher}/items/{item} |
authorInfo |
Info on the author of the review. |
rating |
Rating of the item, between 1 and 5. |
comment |
Content of the review. |
createTime |
Output only. When the review was posted. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
AuthorInfo
Info on the author of the review.
| JSON representation |
|---|
{ "displayName": string } |
| Fields | |
|---|---|
displayName |
Display name for the author. |